be.fgov.ehealth.idsupport.core.v2

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.idsupport.core.v2.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.idsupport.core.v2 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.idsupport.core.v2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentificationData` | `createIdentificationData()` Create an instance of `IdentificationData`
    `JAXBElement<String>` | `createLegalContext(String value)` Create an instance of `JAXBElement``<``String``>`}
    `ProviderInfo` | `createProviderInfo()` Create an instance of `ProviderInfo`
    `ProviderInfoDetailType` | `createProviderInfoDetailType()` Create an instance of `ProviderInfoDetailType`
    `ValidationInfoType` | `createValidationInfoType()` Create an instance of `ValidationInfoType`
    `ValidationResult` | `createValidationResult()` Create an instance of `ValidationResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.idsupport.core.v2

  - ### Method Detail

    - #### createIdentificationData

          public IdentificationData createIdentificationData()

      Create an instance of `IdentificationData`

    - #### createProviderInfo

          public ProviderInfo createProviderInfo()

      Create an instance of `ProviderInfo`

    - #### createProviderInfoDetailType

          public ProviderInfoDetailType createProviderInfoDetailType()

      Create an instance of `ProviderInfoDetailType`

    - #### createValidationResult

          public ValidationResult createValidationResult()

      Create an instance of `ValidationResult`

    - #### createValidationInfoType

          public ValidationInfoType createValidationInfoType()

      Create an instance of `ValidationInfoType`

    - #### createLegalContext

          public JAXBElement<String> createLegalContext(String value)

      Create an instance of `JAXBElement``<``String``>`}

Connector Packaging TECHNICAL 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.